Page MenuHomePhabricator

Identify next steps for dealing with missing mobile app pageview counts
Closed, ResolvedPublic

Description

After gathering inputs from stakeholders and making a final decision on whether the missing pageview counts will be backfilled, we need to identify next steps, which may include :

Backup of webrequest dataset
Count mobile HTML requests
Annotate datasets/graphs

Event Timeline

kzimmerman triaged this task as High priority.Jun 30 2020, 8:04 PM
kzimmerman created this task.
fdans moved this task from Incoming to Data Quality on the Analytics board.Jul 13 2020, 4:46 PM
fdans edited projects, added Analytics-Radar; removed Analytics.
SNowick_WMF added a comment.EditedAug 4 2020, 8:56 PM

Pageview analysis used to estimate expected pageview counts here.
Will need to continue with an estimate for month of July due to fix release schedule for apps.
Related: https://phabricator.wikimedia.org/T256507

@SNowick_WMF to update this task: what next steps were decided on (or proposed)? If work has been done on those next steps, link to relevant tickets or documentation.

Nuria added a subscriber: Nuria.Aug 4 2020, 10:08 PM

@kzimmerman given that data , after rewrite, had significant issues until most recently when those were fixed I think it makes little sense to backfill. See: T256516: Re-process webrequests from 2020-05-18 so that page views from latest Wikipedia app releases are counted for examples of issues found.

@Nuria, just to clarify, we will not be requesting re-processing webrequests, this ticket is for my next steps to estimate pageviews for periods missing data and other related tasks.

SNowick_WMF added a comment.EditedAug 19 2020, 11:05 PM
  • Write incident report, stored in Product Analytics shared drive 'Data Incident Reports"
  • Documenting fix process in ticket (there were several different changes)
  • Noting dates and app versions that were affected - for future data knowledge, how do we exclude/include where data was missing. Where can we put those to make sure they aren't lost?
  • Estimating lost views and validating that fix is actually working (depends on new app version saturation) Estimated App Pageviews
  • Who else needs that estimated data? CChen: Key product metrics, which goes into quarterly deck, publish key metrics on Commons. Also CChen for Superset. @cchen has estimated pageview counts
SNowick_WMF closed this task as Resolved.Sep 1 2020, 7:31 PM

Affected Builds:
Android Build 2.7.50318-r-2020-05-18
iOS Build 6.6.1 1743 2020-06-05

Resolved Builds:
Android Build 2.7.50324-r-2020-06-30
iOS Build 6.6.2 2020-07-13

Incident Report